Subject: RE: Context/Termination/Stream configurations.

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 12 Mar 2001 16:40:27 -0500

The preferred configuration is #3. Note that the media gateway should be
able to handle all 3,
although the limitation that streams be synchronized leaving the termination
would only be of
help to you in #3.  I would recommend that you not ever consider #2,
although with Topology,
you can make it work.  Of course, you could have hybrids - say 2 contexts,
each with two
terminations, with audio2 and video2 in one and audio 1 in the other.  I'd
still stay with
#3, as it most closely maps to the way Megaco is defined.

I don't think there are any jitter implications of any configuration, as
jitter processing is per
stream.

>  -----Original Message-----
> From: 	Willy Reheul [mailto:[email-masked]] 
> Sent:	Monday, March 12, 2001 3:32 PM
> To:	[email-masked]
> Subject:	Context/Termination/Stream configurations.
> 
> Hi List,
> 
> Assume an Interior Media Gateway interworks the 3 media streams (Video1,
> Video2 and Audio2) between a calling and a called H.323 terminal. Audio2
> is associated with Video2.
> In my opinion, a session controller can think of 3 different ways for the
> IMG to handle this:
> 
> /1/. 3 contexts with each 2 terminations (Tin & Tout) in it and one stream
> (ID=1) on each termination.
> 
> 
>                         +------------------C1----------------+
>                         !                                    !
>            Video1--->---! T1in........streamID1........T1out !------>----
>                         !                                    !
>                         +------------------------------------+
> 
>                         +------------------C2----------------+
>                         !                                    !
>            Video2--->---! T2in........streamID1........T2out !------>----
>                         !                                    !
>                         +------------------------------------+
> 
>                         +------------------C3----------------+
>                         !                                    !
>            Audio2--->---! T3in........streamID1........T3out !------>----
>                         !                                    !
>                         +------------------------------------+
> 
> /2/. 1 context with 6 terminations (3 (Tin & Tout)pairs)) in it, and each
> pair of Tin-Tout connects 1 stream. StreamID's must be different, else the
> context would also mix amongst T1, T2 and T3.
> 
> 
>                         +------------------C1----------------+
>                         !                                    !
>            Video1--->---! T1in........streamID1........T1out !------>----
>                         !                                    !
>                         !                                    !
>            Video2--->---! T2in........streamID2........T2out !------>----
>                         !                                    !
>                         !                                    !
>            Audio2--->---! T3in........streamID3........T3out !------>----
>                         !                                    !
>                         +------------------------------------+
> 
> /3/. 1 context with 2 terminations -one (Tin & Tout)pair, the terminations
> connect all 3 streams. (there are of course 3 different transport
> addresses associated with each T1)
> 
> 
>                         +--------------------C1------------------+
>                         !  +----+                        +-----+ !
>            Video1--->---!--!    !........streamID1.......!
> !-!----->----
>  
> Video2--->---!--!T1in!........streamID2.......!T1out!-!----->----
>            Audio2--->---!--!    !........streamID3.......!
> !-!----->----
>                         !  +----+                        +-----+ !
>                         +----------------------------------------+
> 
> 
> 
> 
> QUESTION :
> 
> Is there any difference between the three configurations ?
> I'm in particular interested in Media Processing differences -such as
> synchronisation, network jitter treatment, etc......-.
> For example what do I have more or different when all 3 streams are
> connected to 1 termination (as in configuration /3/) compared to  the
> other configurations ?
> 
> Thanks,
> Willy
> 
> 
> 
> 
> 
> 
>

---

From: "Willy Reheul" <[email-masked]>
Date: Tue, 13 Mar 2001 20:42:57 -0000

So, I think I may conclude that a session controller may choose whatever
configuration it prefers. It wan't make any difference on HOW media tools in
the gateway process the streams; except that for configuration #3 -where one
termination connects multiple streams- these multiple streams will be
brought in sync with each other before they leave the termination.
Do I have that right ?
If yes, can you also point me to a place in the megaco standard or
implementation guide where such feature/behaviour of a Termination is
described.

".....I would recommend that you not ever consider #2......." sounds like a
severe warning. I don't think that configuration #2 deserves such strong
disadvice. In my opinion Topology is not even needed ie "default" Topology
will do. This is because each Tin-Tout pair has been given a different
streamID and inside a context there are only connections between equal
streams. Hence, no danger that for example T1in connects to streamID2 or
streamID3. Correct ?

Cheers,
Willy Reheul

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Rosen, Brian
> Sent: maandag 12 maart 2001 21:40
> To: 'Willy Reheul'; [email-masked]
> Subject: RE: Context/Termination/Stream configurations.
>
>
> help to you in #3.
> I would recommend that you not ever consider #2,
> although with Topology,
> >     Video1--->---!--!    !........streamID1.......!     !-!----->----
> >     Audio2--->---!--!    !........streamID3.......!     !-!----->----
> >                  !  +----+                        +-----+ !